| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
uiSurveyFileSIP Class Reference
uiIo

`#include <uisurvinfoed.h>`

Inheritance diagram for uiSurveyFileSIP:
[legend]

## Public Member Functions
| uiSurveyFileSIP ()
| ~uiSurveyFileSIP ()
uiDialog * | dialog (uiParent *) override
void | fillLogPars (IOPar &) const override
IOPar * | getCoordSystemPars () const override
bool | getInfo (uiDialog *, TrcKeyZSampling &, Coord crd[3]) override
const char * | iconName () const override
TDInfo | tdInfo () const override
uiString | usrText () const override
bool | xyInFeet () const override
Public Member Functions inherited from uiSurvInfoProvider
virtual | ~uiSurvInfoProvider ()
virtual void | fillPar (IOPar &) const
virtual IOPar * | getImportPars () const
virtual mDeprecatedObs bool | getLatLongAnchor (Coord &, LatLong &)
virtual bool | getSRD (float &)
| return value must be in SI units (meters)
virtual bool | hasSurveyImportDlg ()
virtual uiString | importAskQuestion () const
virtual bool | isAvailable () const
virtual uiDialog * | launchSurveyImportDlg (uiParent *)
| mOD_DisableCopy (uiSurvInfoProvider) virtual uiString usrText() const =0
virtual void | startImport (uiParent *, const IOPar &)

## Protected Attributes
ConstRefMan< Coords::CoordSystem > | coordsystem_
BufferString | filenm_
BufferString | surveynm_
TDInfo | tdinf_ = Unknown
bool | xyinft_ = false

## Additional Inherited Members
Public Types inherited from uiSurvInfoProvider
enum | TDInfo { Unknown , Time , DepthMeter , DepthFeet }
Static Public Member Functions inherited from uiSurvInfoProvider
static void | addPluginsInfoProviders ()
static bool | getRanges (TrcKeyZSampling &, Coord[3], Coord crd1, Coord crd2, double gridspacing)
| Calculates sampling and 3 corner coordinates.
Protected Member Functions inherited from uiSurvInfoProvider
| uiSurvInfoProvider ()

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiSurveyFileSIP()

uiSurveyFileSIP::uiSurveyFileSIP | ( |  | ) |

## ◆ ~uiSurveyFileSIP()

uiSurveyFileSIP::~uiSurveyFileSIP | ( |  | ) |

## Member Function Documentation

## ◆ dialog()

uiDialog * uiSurveyFileSIP::dialog | ( | uiParent * |  | ) |
| override virtual

Implements uiSurvInfoProvider.

## ◆ fillLogPars()

void uiSurveyFileSIP::fillLogPars | ( | IOPar & |  | ) | const
| override virtual

Reimplemented from uiSurvInfoProvider.

## ◆ getCoordSystemPars()

IOPar * uiSurveyFileSIP::getCoordSystemPars | ( |  | ) | const
| override virtual

Reimplemented from uiSurvInfoProvider.

## ◆ getInfo()

bool uiSurveyFileSIP::getInfo | ( | uiDialog * | ,
|  | TrcKeyZSampling & | ,
|  | Coord | crd[3] )
| override virtual

Implements uiSurvInfoProvider.

## ◆ iconName()

const char * uiSurveyFileSIP::iconName | ( |  | ) | const
| inline override virtual

Reimplemented from uiSurvInfoProvider.

## ◆ tdInfo()

TDInfo uiSurveyFileSIP::tdInfo | ( |  | ) | const
| inline override virtual

Reimplemented from uiSurvInfoProvider.

## ◆ usrText()

uiString uiSurveyFileSIP::usrText | ( |  | ) | const
| override

## ◆ xyInFeet()

bool uiSurveyFileSIP::xyInFeet | ( |  | ) | const
| inline override virtual

Reimplemented from uiSurvInfoProvider.

## Member Data Documentation

## ◆ coordsystem_

ConstRefMan<Coords::CoordSystem> uiSurveyFileSIP::coordsystem_
| protected

## ◆ filenm_

BufferString uiSurveyFileSIP::filenm_
| protected

## ◆ surveynm_

BufferString uiSurveyFileSIP::surveynm_
| protected

## ◆ tdinf_

TDInfo uiSurveyFileSIP::tdinf_ = Unknown
| protected

## ◆ xyinft_

bool uiSurveyFileSIP::xyinft_ = false
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025